QGIS Application - Bug report #11911
rotation: inverted polygon renderer broken with non-zero rotation value
2014-12-23 02:18 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Sandro Santilli

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20121
Description

Inverted polygon renderer is broken when a non-zero rotation value is used. See the attached screenshots which should do a good job at
showing the problem.

History

#1 - 2014-12-23 02:31 AM - Sandro Santilli

How do you enable the inverted polygon renderer ?

#2 - 2014-12-23 03:24 AM - Giovanni Manghi

- Target version changed from Future Release - High Priority to Version 2.8

- Priority changed from Normal to Severe/Regression

#3 - 2015-01-03 12:28 PM - Sandro Santilli

- Status changed from Open to Feedback

| need a way to replicate this, attach a style file maybe and/or give instructions on how to enable the "inverted polygon renderer”

#4 - 2015-01-03 08:27 PM - Mathieu Pellerin - nIRV
- Status changed from Feedback to Closed

| can't reproduce the above captured bug with a simplified inverted renderer symbology project. Closing this until | figure out what are the requirements to

reproduce the issue.

Sandro, the inverted renderer is a polygon-specific renderer, you can select it using the drop-down renderer list (where you have simple, classified,
categorized, rule-based renderers).
